DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Public Member Functions | Private Attributes | List of all members
DRTIconImageSequence::Item Class Reference

Item class. More...

Inheritance diagram for DRTIconImageSequence::Item:

## Public Member Functions
| Item (const OFBool emptyDefaultItem=OFFalse)
| (default) constructor More...
| Item (const Item &copy)
| copy constructor More...
virtual | ~Item ()
| destructor
Item & | operator= (const Item &copy)
| assignment operator More...
void | clear ()
| clear all internal member variables
OFBool | isEmpty ()
| check if item is empty More...
OFBool | isValid () const
| check if item is valid, i.e. not the empty default item More...
OFCondition | read (DcmItem &item)
| read elements from sequence item More...
OFCondition | write (DcmItem &item)
| write elements to sequence item More...
OFCondition | getBitsAllocated (Uint16 &value, const unsigned long pos=0) const
| get BitsAllocated (0028,0100) More...
OFCondition | getBitsStored (Uint16 &value, const unsigned long pos=0) const
| get BitsStored (0028,0101) More...
OFCondition | getBluePaletteColorLookupTableData (Uint16 *&value, unsigned long *count=NULL) const
| get BluePaletteColorLookupTableData (0028,1203) More...
OFCondition | getBluePaletteColorLookupTableDescriptor (Uint16 &value, const unsigned long pos=0) const
| get BluePaletteColorLookupTableDescriptor (0028,1103) More...
OFCondition | getColorSpace (OFString &value, const signed long pos=0) const
| get ColorSpace (0028,2002) More...
OFCondition | getColumns (Uint16 &value, const unsigned long pos=0) const
| get Columns (0028,0011) More...
OFCondition | getGreenPaletteColorLookupTableData (Uint16 *&value, unsigned long *count=NULL) const
| get GreenPaletteColorLookupTableData (0028,1202) More...
OFCondition | getGreenPaletteColorLookupTableDescriptor (Uint16 &value, const unsigned long pos=0) const
| get GreenPaletteColorLookupTableDescriptor (0028,1102) More...
OFCondition | getHighBit (Uint16 &value, const unsigned long pos=0) const
| get HighBit (0028,0102) More...
OFCondition | getICCProfile (Uint8 *&value, unsigned long *count=NULL) const
| get ICCProfile (0028,2000) More...
OFCondition | getLargestImagePixelValue (Uint16 &value, const unsigned long pos=0) const
| get LargestImagePixelValue (0028,0107) More...
OFCondition | getPhotometricInterpretation (OFString &value, const signed long pos=0) const
| get PhotometricInterpretation (0028,0004) More...
OFCondition | getPixelAspectRatio (OFString &value, const signed long pos=0) const
| get PixelAspectRatio (0028,0034) More...
OFCondition | getPixelAspectRatio (Sint32 &value, const unsigned long pos=0) const
| get PixelAspectRatio (0028,0034) More...
OFCondition | getPixelRepresentation (Uint16 &value, const unsigned long pos=0) const
| get PixelRepresentation (0028,0103) More...
OFCondition | getPlanarConfiguration (Uint16 &value, const unsigned long pos=0) const
| get PlanarConfiguration (0028,0006) More...
OFCondition | getRedPaletteColorLookupTableData (Uint16 *&value, unsigned long *count=NULL) const
| get RedPaletteColorLookupTableData (0028,1201) More...
OFCondition | getRedPaletteColorLookupTableDescriptor (Uint16 &value, const unsigned long pos=0) const
| get RedPaletteColorLookupTableDescriptor (0028,1101) More...
OFCondition | getRows (Uint16 &value, const unsigned long pos=0) const
| get Rows (0028,0010) More...
OFCondition | getSamplesPerPixel (Uint16 &value, const unsigned long pos=0) const
| get SamplesPerPixel (0028,0002) More...
OFCondition | getSmallestImagePixelValue (Uint16 &value, const unsigned long pos=0) const
| get SmallestImagePixelValue (0028,0106) More...
DcmPixelData & | getPixelData ()
| get PixelData (7fe0,0010) More...
const DcmPixelData & | getPixelData () const
| get PixelData (7fe0,0010) More...
OFCondition | setBitsAllocated (const Uint16 value, const unsigned long pos=0)
| set BitsAllocated (0028,0100) More...
OFCondition | setBitsStored (const Uint16 value, const unsigned long pos=0)
| set BitsStored (0028,0101) More...
OFCondition | setBluePaletteColorLookupTableData (const Uint16 *value, const unsigned long count)
| set BluePaletteColorLookupTableData (0028,1203) More...
OFCondition | setBluePaletteColorLookupTableDescriptor (const Uint16 value, const unsigned long pos=0)
| set BluePaletteColorLookupTableDescriptor (0028,1103) More...
OFCondition | setColorSpace (const OFString &value, const OFBool check=OFTrue)
| set ColorSpace (0028,2002) More...
OFCondition | setColumns (const Uint16 value, const unsigned long pos=0)
| set Columns (0028,0011) More...
OFCondition | setGreenPaletteColorLookupTableData (const Uint16 *value, const unsigned long count)
| set GreenPaletteColorLookupTableData (0028,1202) More...
OFCondition | setGreenPaletteColorLookupTableDescriptor (const Uint16 value, const unsigned long pos=0)
| set GreenPaletteColorLookupTableDescriptor (0028,1102) More...
OFCondition | setHighBit (const Uint16 value, const unsigned long pos=0)
| set HighBit (0028,0102) More...
OFCondition | setICCProfile (const Uint8 *value, const unsigned long count)
| set ICCProfile (0028,2000) More...
OFCondition | setLargestImagePixelValue (const Uint16 value, const unsigned long pos=0)
| set LargestImagePixelValue (0028,0107) More...
OFCondition | setPhotometricInterpretation (const OFString &value, const OFBool check=OFTrue)
| set PhotometricInterpretation (0028,0004) More...
OFCondition | setPixelAspectRatio (const OFString &value, const OFBool check=OFTrue)
| set PixelAspectRatio (0028,0034) More...
OFCondition | setPixelRepresentation (const Uint16 value, const unsigned long pos=0)
| set PixelRepresentation (0028,0103) More...
OFCondition | setPlanarConfiguration (const Uint16 value, const unsigned long pos=0)
| set PlanarConfiguration (0028,0006) More...
OFCondition | setRedPaletteColorLookupTableData (const Uint16 *value, const unsigned long count)
| set RedPaletteColorLookupTableData (0028,1201) More...
OFCondition | setRedPaletteColorLookupTableDescriptor (const Uint16 value, const unsigned long pos=0)
| set RedPaletteColorLookupTableDescriptor (0028,1101) More...
OFCondition | setRows (const Uint16 value, const unsigned long pos=0)
| set Rows (0028,0010) More...
OFCondition | setSamplesPerPixel (const Uint16 value, const unsigned long pos=0)
| set SamplesPerPixel (0028,0002) More...
OFCondition | setSmallestImagePixelValue (const Uint16 value, const unsigned long pos=0)
| set SmallestImagePixelValue (0028,0106) More...

## Private Attributes
OFBool | EmptyDefaultItem
| internal flag used to mark the empty default item
DcmUnsignedShort | BitsAllocated
| BitsAllocated (0028,0100) vr=US, vm=1, type=1.
DcmUnsignedShort | BitsStored
| BitsStored (0028,0101) vr=US, vm=1, type=1.
DcmOtherByteOtherWord | BluePaletteColorLookupTableData
| BluePaletteColorLookupTableData (0028,1203) vr=OW, vm=1, type=1C.
DcmUnsignedShort | BluePaletteColorLookupTableDescriptor
| BluePaletteColorLookupTableDescriptor (0028,1103) vr=US/SS, vm=3, type=1C.
DcmCodeString | ColorSpace
| ColorSpace (0028,2002) vr=CS, vm=1, type=3.
DcmUnsignedShort | Columns
| Columns (0028,0011) vr=US, vm=1, type=1.
DcmOtherByteOtherWord | GreenPaletteColorLookupTableData
| GreenPaletteColorLookupTableData (0028,1202) vr=OW, vm=1, type=1C.
DcmUnsignedShort | GreenPaletteColorLookupTableDescriptor
| GreenPaletteColorLookupTableDescriptor (0028,1102) vr=US/SS, vm=3, type=1C.
DcmUnsignedShort | HighBit
| HighBit (0028,0102) vr=US, vm=1, type=1.
DcmOtherByteOtherWord | ICCProfile
| ICCProfile (0028,2000) vr=OB, vm=1, type=3.
DcmUnsignedShort | LargestImagePixelValue
| LargestImagePixelValue (0028,0107) vr=US/SS, vm=1, type=3.
DcmCodeString | PhotometricInterpretation
| PhotometricInterpretation (0028,0004) vr=CS, vm=1, type=1.
DcmIntegerString | PixelAspectRatio
| PixelAspectRatio (0028,0034) vr=IS, vm=2, type=1C.
DcmPixelData | PixelData
| PixelData (7fe0,0010) vr=OB/OW, vm=1, type=1.
DcmUnsignedShort | PixelRepresentation
| PixelRepresentation (0028,0103) vr=US, vm=1, type=1.
DcmUnsignedShort | PlanarConfiguration
| PlanarConfiguration (0028,0006) vr=US, vm=1, type=1C.
DcmOtherByteOtherWord | RedPaletteColorLookupTableData
| RedPaletteColorLookupTableData (0028,1201) vr=OW, vm=1, type=1C.
DcmUnsignedShort | RedPaletteColorLookupTableDescriptor
| RedPaletteColorLookupTableDescriptor (0028,1101) vr=US/SS, vm=3, type=1C.
DcmUnsignedShort | Rows
| Rows (0028,0010) vr=US, vm=1, type=1.
DcmUnsignedShort | SamplesPerPixel
| SamplesPerPixel (0028,0002) vr=US, vm=1, type=1.
DcmUnsignedShort | SmallestImagePixelValue
| SmallestImagePixelValue (0028,0106) vr=US/SS, vm=1, type=3.

## Additional Inherited Members
Protected Member Functions inherited from DRTTypes
virtual | ~DRTTypes ()
| destructor. More...
Static Protected Member Functions inherited from DRTTypes
static OFCondition | addElementToDataset (OFCondition &result, DcmItem &dataset, DcmElement *element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| add given element to the dataset. More...
static OFCondition | getElementFromDataset (DcmItem &dataset, DcmElement &element)
| get element from dataset More...
static OFCondition | getStringValueFromElement (const DcmElement &element, OFString &stringValue, const signed long pos=0)
| get string value from element More...
static OFCondition | getStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue)
| get string value from dataset More...
static OFCondition | putStringValueToDataset (DcmItem &dataset, const DcmTag &tag, const OFString &stringValue, const OFBool allowEmpty=OFTrue)
| put string value to dataset More...
static OFBool | checkElementValue (DcmElement &element, const OFString &vm, const OFString &type, const OFCondition &searchCond=EC_Normal, const char *moduleName=NULL)
| check element value for correct value multiplicity and type More...
static OFCondition | getAndCheckElementFromDataset (DcmItem &dataset, DcmElement &element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get element from dataset and check it for correct value multiplicity and type. More...
static OFCondition | getAndCheckStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get string value from dataset and check it for correct value multiplicity and type. More...

## Detailed Description

Item class.

## Constructor & Destructor Documentation

## ◆ Item() [1/2]

DRTIconImageSequence::Item::Item | ( | const OFBool | emptyDefaultItem = `OFFalse` | ) |

(default) constructor

Parameters

  emptyDefaultItem | flag used to mark the empty default item

## ◆ Item() [2/2]

DRTIconImageSequence::Item::Item | ( | const Item & | copy | ) |

copy constructor

Parameters

  copy | item object to be copied

## Member Function Documentation

## ◆ getBitsAllocated()

OFCondition DRTIconImageSequence::Item::getBitsAllocated | ( | Uint16 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get BitsAllocated (0028,0100)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getBitsStored()

OFCondition DRTIconImageSequence::Item::getBitsStored | ( | Uint16 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get BitsStored (0028,0101)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getBluePaletteColorLookupTableData()

OFCondition DRTIconImageSequence::Item::getBluePaletteColorLookupTableData | ( | Uint16 *& | value,
|  | unsigned long * | count = `NULL`
| ) |  | const

get BluePaletteColorLookupTableData (0028,1203)

Parameters

  value | reference to variable in which the value should be stored
  count | stores number of items in the result array (if not NULL)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getBluePaletteColorLookupTableDescriptor()

OFCondition DRTIconImageSequence::Item::getBluePaletteColorLookupTableDescriptor | ( | Uint16 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get BluePaletteColorLookupTableDescriptor (0028,1103)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getColorSpace()

OFCondition DRTIconImageSequence::Item::getColorSpace | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get ColorSpace (0028,2002)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getColumns()

OFCondition DRTIconImageSequence::Item::getColumns | ( | Uint16 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get Columns (0028,0011)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getGreenPaletteColorLookupTableData()

OFCondition DRTIconImageSequence::Item::getGreenPaletteColorLookupTableData | ( | Uint16 *& | value,
|  | unsigned long * | count = `NULL`
| ) |  | const

get GreenPaletteColorLookupTableData (0028,1202)

Parameters

  value | reference to variable in which the value should be stored
  count | stores number of items in the result array (if not NULL)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getGreenPaletteColorLookupTableDescriptor()

OFCondition DRTIconImageSequence::Item::getGreenPaletteColorLookupTableDescriptor | ( | Uint16 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get GreenPaletteColorLookupTableDescriptor (0028,1102)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getHighBit()

OFCondition DRTIconImageSequence::Item::getHighBit | ( | Uint16 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get HighBit (0028,0102)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getICCProfile()

OFCondition DRTIconImageSequence::Item::getICCProfile | ( | Uint8 *& | value,
|  | unsigned long * | count = `NULL`
| ) |  | const

get ICCProfile (0028,2000)

Parameters

  value | reference to variable in which the value should be stored
  count | stores number of items in the result array (if not NULL)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getLargestImagePixelValue()

OFCondition DRTIconImageSequence::Item::getLargestImagePixelValue | ( | Uint16 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get LargestImagePixelValue (0028,0107)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getPhotometricInterpretation()

OFCondition DRTIconImageSequence::Item::getPhotometricInterpretation | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get PhotometricInterpretation (0028,0004)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getPixelAspectRatio() [1/2]

OFCondition DRTIconImageSequence::Item::getPixelAspectRatio | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get PixelAspectRatio (0028,0034)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getPixelAspectRatio() [2/2]

OFCondition DRTIconImageSequence::Item::getPixelAspectRatio | ( | Sint32 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get PixelAspectRatio (0028,0034)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getPixelData() [1/2]

DcmPixelData& DRTIconImageSequence::Item::getPixelData | ( |  | ) |
| inline

get PixelData (7fe0,0010)

Returns
  reference to pixel data element

## ◆ getPixelData() [2/2]

const DcmPixelData& DRTIconImageSequence::Item::getPixelData | ( |  | ) | const
| inline

get PixelData (7fe0,0010)

Returns
  const reference to pixel data element

## ◆ getPixelRepresentation()

OFCondition DRTIconImageSequence::Item::getPixelRepresentation | ( | Uint16 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get PixelRepresentation (0028,0103)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getPlanarConfiguration()

OFCondition DRTIconImageSequence::Item::getPlanarConfiguration | ( | Uint16 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get PlanarConfiguration (0028,0006)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getRedPaletteColorLookupTableData()

OFCondition DRTIconImageSequence::Item::getRedPaletteColorLookupTableData | ( | Uint16 *& | value,
|  | unsigned long * | count = `NULL`
| ) |  | const

get RedPaletteColorLookupTableData (0028,1201)

Parameters

  value | reference to variable in which the value should be stored
  count | stores number of items in the result array (if not NULL)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getRedPaletteColorLookupTableDescriptor()

OFCondition DRTIconImageSequence::Item::getRedPaletteColorLookupTableDescriptor | ( | Uint16 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get RedPaletteColorLookupTableDescriptor (0028,1101)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getRows()

OFCondition DRTIconImageSequence::Item::getRows | ( | Uint16 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get Rows (0028,0010)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getSamplesPerPixel()

OFCondition DRTIconImageSequence::Item::getSamplesPerPixel | ( | Uint16 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get SamplesPerPixel (0028,0002)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getSmallestImagePixelValue()

OFCondition DRTIconImageSequence::Item::getSmallestImagePixelValue | ( | Uint16 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get SmallestImagePixelValue (0028,0106)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ isEmpty()

OFBool DRTIconImageSequence::Item::isEmpty | ( |  | ) |

check if item is empty

Returns
  OFTrue if item is empty, OFFalse otherwise

## ◆ isValid()

OFBool DRTIconImageSequence::Item::isValid | ( |  | ) | const

check if item is valid, i.e. not the empty default item

Returns
  OFTrue if item is valid, OFFalse otherwise

## ◆ operator=()

Item& DRTIconImageSequence::Item::operator= | ( | const Item & | copy | ) |

assignment operator

Parameters

  copy | item object to be copied

Returns
  reference to this object

## ◆ read()

OFCondition DRTIconImageSequence::Item::read | ( | DcmItem & | item | ) |

read elements from sequence item

Parameters

  item | reference to DICOM sequence item from which the elements should be read

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setBitsAllocated()

OFCondition DRTIconImageSequence::Item::setBitsAllocated | ( | const Uint16 | value,
|  | const unsigned long | pos = `0`
| ) |  |

set BitsAllocated (0028,0100)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=1

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setBitsStored()

OFCondition DRTIconImageSequence::Item::setBitsStored | ( | const Uint16 | value,
|  | const unsigned long | pos = `0`
| ) |  |

set BitsStored (0028,0101)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=1

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setBluePaletteColorLookupTableData()

OFCondition DRTIconImageSequence::Item::setBluePaletteColorLookupTableData | ( | const Uint16 * | value,
|  | const unsigned long | count
| ) |  |

set BluePaletteColorLookupTableData (0028,1203)

Parameters

  value | array value to be set (data is copied)
  count | number of items in the array

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setBluePaletteColorLookupTableDescriptor()

OFCondition DRTIconImageSequence::Item::setBluePaletteColorLookupTableDescriptor | ( | const Uint16 | value,
|  | const unsigned long | pos = `0`
| ) |  |

set BluePaletteColorLookupTableDescriptor (0028,1103)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=3

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setColorSpace()

OFCondition DRTIconImageSequence::Item::setColorSpace | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set ColorSpace (0028,2002)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setColumns()

OFCondition DRTIconImageSequence::Item::setColumns | ( | const Uint16 | value,
|  | const unsigned long | pos = `0`
| ) |  |

set Columns (0028,0011)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=1

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setGreenPaletteColorLookupTableData()

OFCondition DRTIconImageSequence::Item::setGreenPaletteColorLookupTableData | ( | const Uint16 * | value,
|  | const unsigned long | count
| ) |  |

set GreenPaletteColorLookupTableData (0028,1202)

Parameters

  value | array value to be set (data is copied)
  count | number of items in the array

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setGreenPaletteColorLookupTableDescriptor()

OFCondition DRTIconImageSequence::Item::setGreenPaletteColorLookupTableDescriptor | ( | const Uint16 | value,
|  | const unsigned long | pos = `0`
| ) |  |

set GreenPaletteColorLookupTableDescriptor (0028,1102)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=3

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setHighBit()

OFCondition DRTIconImageSequence::Item::setHighBit | ( | const Uint16 | value,
|  | const unsigned long | pos = `0`
| ) |  |

set HighBit (0028,0102)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=1

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setICCProfile()

OFCondition DRTIconImageSequence::Item::setICCProfile | ( | const Uint8 * | value,
|  | const unsigned long | count
| ) |  |

set ICCProfile (0028,2000)

Parameters

  value | array value to be set (data is copied)
  count | number of items in the array

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setLargestImagePixelValue()

OFCondition DRTIconImageSequence::Item::setLargestImagePixelValue | ( | const Uint16 | value,
|  | const unsigned long | pos = `0`
| ) |  |

set LargestImagePixelValue (0028,0107)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=1

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setPhotometricInterpretation()

OFCondition DRTIconImageSequence::Item::setPhotometricInterpretation | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set PhotometricInterpretation (0028,0004)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setPixelAspectRatio()

OFCondition DRTIconImageSequence::Item::setPixelAspectRatio | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set PixelAspectRatio (0028,0034)

Parameters

  value | value to be set (possibly multi-valued) or "" for no value
  check | check 'value' for conformance with VR (IS) and VM (2) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setPixelRepresentation()

OFCondition DRTIconImageSequence::Item::setPixelRepresentation | ( | const Uint16 | value,
|  | const unsigned long | pos = `0`
| ) |  |

set PixelRepresentation (0028,0103)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=1

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setPlanarConfiguration()

OFCondition DRTIconImageSequence::Item::setPlanarConfiguration | ( | const Uint16 | value,
|  | const unsigned long | pos = `0`
| ) |  |

set PlanarConfiguration (0028,0006)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=1

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setRedPaletteColorLookupTableData()

OFCondition DRTIconImageSequence::Item::setRedPaletteColorLookupTableData | ( | const Uint16 * | value,
|  | const unsigned long | count
| ) |  |

set RedPaletteColorLookupTableData (0028,1201)

Parameters

  value | array value to be set (data is copied)
  count | number of items in the array

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setRedPaletteColorLookupTableDescriptor()

OFCondition DRTIconImageSequence::Item::setRedPaletteColorLookupTableDescriptor | ( | const Uint16 | value,
|  | const unsigned long | pos = `0`
| ) |  |

set RedPaletteColorLookupTableDescriptor (0028,1101)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=3

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setRows()

OFCondition DRTIconImageSequence::Item::setRows | ( | const Uint16 | value,
|  | const unsigned long | pos = `0`
| ) |  |

set Rows (0028,0010)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=1

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setSamplesPerPixel()

OFCondition DRTIconImageSequence::Item::setSamplesPerPixel | ( | const Uint16 | value,
|  | const unsigned long | pos = `0`
| ) |  |

set SamplesPerPixel (0028,0002)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=1

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setSmallestImagePixelValue()

OFCondition DRTIconImageSequence::Item::setSmallestImagePixelValue | ( | const Uint16 | value,
|  | const unsigned long | pos = `0`
| ) |  |

set SmallestImagePixelValue (0028,0106)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=1

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ write()

OFCondition DRTIconImageSequence::Item::write | ( | DcmItem & | item | ) |

write elements to sequence item

Parameters

  item | reference to DICOM sequence item to which the elements should be written

Returns
  status, EC_Normal if successful, an error code otherwise

The documentation for this class was generated from the following file:

- dcmrt/include/dcmtk/dcmrt/seq/drtiis.h

Generated on Mon Dec 15 2025 for DCMTK Version 3.7.0 by Doxygen 1.9.1